[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.WndProc

Extends the message processing loop for the database grid control.

## Declaration

Source position: dbgrids.pas line 509

`protected procedure TCustomDBGrid.WndProc(`
`var TheMessage: TLMessage`
`); override;`

## Arguments

`TheMessage` |  | Window message examined and handled in the method.

## Description

WndProc is an overridden method in TCustomDBGrid. It ensures that LM_SETFOCUS messages are handled properly when gsUpdatingData has been included in the GridStatus property. This includes using the LCL interface to give focus to the active Editor control, and selecting its content.

WndProc calls the inherited method prior to exit.

## See also

TCustomDBGrid.GridStatus |  | Stores status information about operations active for the grid control.
TCustomGrid.EditorMode |  | True when the Editor is ready to modify the value for the current cell.
TCustomGrid.Editor |  | The editor control used to modify the value in the current cell.
TCustomGrid.WndProc |  | Extends the message processing loop for the grid control.